<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Users extends CI_Controller {
    function __construct()
    {
	    parent::__construct();
		$this->form_validation->set_error_delimiters('<li class="error">', '</li>');
    }
	function login() {
		$this->form_validation->set_rules('admin_user', 'username', 'required|callback_check_username');
		$this->form_validation->set_rules('admin_pwd', 'password', 'required|callback_check_password');
		if($this->form_validation->run() === TRUE) {
			$username = $this->input->post('admin_user');
			$pwd      = $this->input->post('admin_pwd');
			
			$admin = $this->db->get_where('admin', array('admin_user' => $username, 'admin_pwd' => md5($pwd)))->row();
			$this->session->set_userdata('auth_user_id', $admin->id);
			$this->session->set_userdata('auth_username', $admin->admin_user);
			
			// Get last login date
			$sql = "select max(timestamp) last_login from event_log where event = 'Login' and user_id = " . $admin->id;			$result = $this->db->query($sql)->result();
			$last_login_date = $result[0]->last_login;
			$this->session->set_userdata('last_login_date', $last_login_date);
			
			$row = array(
							'event'   => 'Login',
							'user_id' => $admin->id,
						);
			$this->db->insert('event_log', $row);
			
			redirect('admin');
		}
		$this->load->view('backend/login_view');
	}
	
	function check_username($usr) {
        if (!$this->db->get_where('admin', array('admin_user' => $usr))->num_rows())
        {
            $this->form_validation->set_message('check_username', 'Wrong %s');
            return FALSE;
        }
        return TRUE;
	}

	function check_password($pwd) {
		$username = $this->input->post('admin_user');
        if ($this->db->get_where('admin', array('admin_user' => $username, 'admin_pwd' => md5($pwd)))->num_rows())
        {
			return TRUE;
        }
        $this->form_validation->set_message('check_password', 'Wrong %s');
        return FALSE;
	}
	
	function logout() {
        if($this->session->userdata('auth_user_id')) {
			$row = array(
							'event'   => 'Logout',
							'user_id' => $this->session->userdata('auth_user_id'),
						);
			$this->db->insert('event_log', $row);
        }
		
		$this->session->unset_userdata('auth_user_id');
		$this->session->unset_userdata('auth_username');
		$this->session->sess_destroy();
		redirect('admin/login');
	}
	function change_pwd() {
        if(!$this->session->userdata('auth_user_id')) {
            redirect('admin/login');
        }
		$this->form_validation->set_rules('old_pwd', 'old password', 'required|callback_check_old_pwd');
		$this->form_validation->set_rules('new_pwd', 'new password', 'required|matches[new_pwd_conf]|min_length[5]|max_lenght[20]');
		$this->form_validation->set_rules('new_pwd_conf', 'repeated password', 'required');
		if($this->form_validation->run() === TRUE) {
			$new_pwd          = $this->input->post('new_pwd');
			$logged_username  = $this->session->userdata('auth_username');
			
			$updated          = array('admin_pwd' => md5($new_pwd));
			$this->db->where('admin_user', $logged_username);
			$this->db->update('admin', $updated);
			
			$this->messages->success('Your password has been changed successfully');
		}
		$this->load->view('backend/change_pwd_view');
	}

	function check_old_pwd($old_pwd) {
		$logged_username = $this->session->userdata('auth_username');
		if($this->db->get_where('admin', array('admin_user' => $logged_username, 'admin_pwd' => md5($old_pwd)))->num_rows()) {
			return true;
		}
		$this->form_validation->set_message('check_old_pwd', 'invalid old password');
		return false;
	}
}	