<?php
$this->load->view('backend/header_view');
$this->load->view('backend/sidebar_view');
breadcrumb('Add member', 'Team');

if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }

$attributes = array('id' => 'tab');
echo form_open_multipart('admin/add_member', $attributes);
	echo '<div class="form-group">';
	echo '<label for="emp_name" class="col-lg-2 control-label">Name</label>';
	$data = array(
					'name'        => 'emp_name',
					'value'       => set_value('emp_name'),
					'id'          => 'emp_name',
					'class'       => 'form-control span6',
					'placeholder' => 'Name',
				);
	echo form_input($data);
	echo '<span class="required">*</span></div>';
	echo '<div class="form-group">';
	echo '<label for="position" class="col-lg-2 control-label">Position</label>';
	$data = array(
					'name'        => 'position',
					'value'       => set_value('position'),
					'id'          => 'position',
					'class'       => 'form-control span6',
					'placeholder' => 'Position',
				);
	echo form_input($data);
	echo '<span class="required">*</span></div>';
	
	echo '<div class="form-group">';
		echo '<label for="dept_id" class="col-lg-2 control-label">Department</label>';
		$js = "";
		echo form_dropdown('dept_id', $depts, set_value('dept_id'), $js);
	echo '<span class="required">*</span></div>';
	
	/*/
	echo '<div class="form-group">';
	echo '<label for="question_text" class="col-lg-2 control-label">Text</label>';
	$data = array(
					'name'  => 'news_text',
					'value' => set_value('news_text'),
					'id'    => 'text',
					'class' => 'input-xlarge',
					'rows'  => 8
				 );
	echo form_textarea($data);
	echo '</div>';*/

	echo '<div class="form-group">';
	echo '<label for="f_account" class="col-lg-2 control-label">Facebook account</label>';
	$data = array(
					'name'        => 'f_account',
					'value'       => set_value('f_account'),
					'id'          => 'f_account',
					'class'       => 'form-control span6',
					'placeholder' => 'Facebook account',
				);
	echo form_input($data);
	echo '</div>';

	echo '<div class="form-group">';
	echo '<label for="t_account" class="col-lg-2 control-label">Twitter account</label>';
	$data = array(
					'name'        => 't_account',
					'value'       => set_value('t_account'),
					'id'          => 't_account',
					'class'       => 'form-control span6',
					'placeholder' => 'Twitter account',
				);
	echo form_input($data);
	echo '</div>';
	
	echo '<div class="form-group" style="margin: 15px 0; border-bottom: 1px solid #CCC;">';
	echo '<label for="photo" class="col-lg-2 control-label">Photo</label>';
	if(isset($img_file_errors)) {
	?>
		<div class="alert alert-error">
			<?php
				foreach($img_file_errors as $error) { ?>
				<?php print $error; ?>
			<?php } ?>
		</div>
	<?php
	}
	$data = array(
				  'type'        => 'file',
				  'name'        => 'photo',
				  'value'       => set_value('photo'),
				  'id'          => 'photo',
				  'class'       => 'form-control span6',
				);
	echo form_input($data); ?>
	<span class="instructions">(jpg, jpeg, png) - 600 * 600 Maximum</span>
	<span class="instructions" style="margin-bottom: 10px;">Max size: 512KB</span>
	</div>
	
	<div class="form-group" style="margin: 10px 0 20px;">
		<div class="col-lg-offset-2 col-lg-10">
			<div class="checkbox">
				<label>
					<?php
					$added = "id = 'publish' checked='checked'";
					echo form_checkbox('publish', 'accept', set_checkbox('publish', 'accept'),$added);
					echo 'Published';
					?>
				</label>
			</div>
		</div>
	</div>

	<div class="btn-toolbar">
		<button type="submit" class="btn">Add</button>
	</div>

<?php echo form_close(); ?>

<script type="text/javascript">
	function upload_file() {
		if($('#upload_attach').attr('checked')) {
			$('div#attach_file_field').show();
		}
		else {
			$('div#attach_file_field').hide();
		}
	}
</script>
<?php $this->load->view('backend/footer_view');?>