<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Main extends CI_Controller {
    function __construct()
    {
        parent::__construct();
		//$this->load->model('frontend/main_model','main');
		$this->form_validation->set_error_delimiters('<li class="error">', '</li>');
    }
	
	function about($id = "") {
		// if(!empty($id)) {
			// $this->session->set_userdata('about_id', $id);
		// }
		$data['who_we_are']      = $this->db->get_where('static_pages', array('page_id' => 3))->row()->page_text;
		$data['our_mission']     = $this->db->get_where('static_pages', array('page_id' => 4))->row()->page_text;
		$data['our_vision']      = $this->db->get_where('static_pages', array('page_id' => 5))->row()->page_text;
		$data['our_values']      = $this->db->get_where('static_pages', array('page_id' => 6))->row()->page_text;
		$data['our_achievement'] = $this->db->get_where('static_pages', array('page_id' => 7))->row()->page_text;

		$data['depts']   = $this->db->get('depts')->result();
		$data['members'] = $this->db->get('emp')->result();

		$this->load->view('frontend/about_view', $data);
	}
	
	function qsp() {
		$this->load->view('frontend/qsp_view');
	}
	
	function services() {
		$data['row'] = $this->db->get_where('static_pages', array('page_id' => 2))->row();
		$this->load->view('frontend/services_view', $data);
	}
	
	function clients() {
		$data = array();
		$this->db->order_by('id', 'asc');
		$data['clients'] = $this->db->get_where('clients', array('publish' => 1))->result();
		$this->load->view('frontend/clients_view', $data);
	}
	
	public function contact() {
		$data['row'] = $this->db->get_where('static_pages', array('page_id' => 1))->row();
		//$data['map'] = $this->db->get_where('map', array('id' => 1))->row();
		
		$this->form_validation->set_rules('contact_name', 'name', 'required|min_length[2]|max_length[20]');
		$this->form_validation->set_rules('contact_title', 'title', 'required|min_length[5]|max_length[20]');
		$this->form_validation->set_rules('contact_company', 'company', 'required|min_length[4]|max_length[20]');
		$this->form_validation->set_rules('contact_email', 'email', 'required|valid_email');
		$this->form_validation->set_rules('contact_msg', 'message', 'required|xss_clean|min_length[10]|max_length[80]');
		
		if($this->form_validation->run() === TRUE) {
			$contact_name     = $this->input->post('contact_name');
			$contact_title    = $this->input->post('contact_title');
			$contact_company  = $this->input->post('contact_company');
			$contact_email    = $this->input->post('contact_email');
			$contact_msg      = $this->input->post('contact_msg');
			
			// Send email
			$this->load->library('email');
			$this->email->from('info@printpac.ae', 'printpac.ae');
			$this->email->to('info@printpac.ae');
			$this->email->bcc('perfecto@printpac.ae');
			$this->email->subject('printpac.ae - Contact us - New enquiry');
			$msg = 'Title: '.$contact_title."\n".'Full name: '.$contact_name."\n".'Company: '.$contact_company."\n".'Email address '.$contact_email."\n".'Message:'."\n".$contact_msg;
			$this->email->message($msg);
			$this->email->send();
			
			$this->session->set_userdata('done', 1);
		}
		
		$this->load->view('frontend/contact_view', $data);
	}
	
	function news_det($id) {
		if(!is_numeric($id) || !$this->db->get_where('news', array('id' => $id, 'publish' => 1))->num_rows()) {
			redirect('/');
		}
		$data['news'] = $this->db->get_where('news', array('id' => $id, 'publish' => 1))->row();
		$this->load->view('frontend/news_details_view', $data);
	}
	
	function download_attach($id) {
		if(!is_numeric($id) || !$this->db->get_where('news', array('id' => $id, 'publish' => 1, 'attach_file' => 1))->num_rows()) {
			redirect('/');
		}
		$news = $this->db->get_where('news', array('id' => $id, 'publish' => 1, 'attach_file' => 1))->row();
		$root = $this->config->item('root');
		$this->load->helper('download');
		$data = file_get_contents($root.'/uploads/files/news/' . $news->attach_file_name . $news->attach_file_ext);
		$name = str_replace(" ", "_", $news->title . $news->attach_file_ext);

		force_download($name, $data);
	}		
	
	function upload() {
		$this->load->view('frontend/upload_view');
	}
	function location_map() {
		$root = $this->config->item('root');
		$this->load->helper('download');
		$data = file_get_contents($root.'uploads/map/location_map.pdf');
		$name = 'printpac_location_map.pdf';
		force_download($name, $data);
	}
	function qsp_book() {
		$this->load->view('frontend/qsp_book_view');
	}
}
/* End of file main.php */
/* Location: ./application/controllers/frontend/main.php */