<?php $this->load->view('backend/header_view');?>

<?PHP $this->load->view('backend/sidebar_view');?>

<?PHP 
  breadcrumb('Add client', 'Clients');
?>

<?php if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }

$attributes = array('id' => 'tab');
echo form_open_multipart('admin/add_client', $attributes);

	echo '<div class="form-group">';
	echo '<label for="news_title" class="col-lg-2 control-label">Image title</label>';
	$data = array(
					'name'        => 'img_title',
					'value'       => set_value('img_title'),
					'id'          => 'img_title',
					'class'       => 'form-control span6',
					'placeholder' => 'Enter image title',
				);
	echo form_input($data);
	echo '<span class="required">*</span></div>';



	echo '<div class="form-group" style="margin: 15px 0; border-bottom: 1px solid #CCC;">';
	echo '<label for="img" class="col-lg-2 control-label">Image</label>';
	if(isset($img_file_errors)) {
	?>
		<div class="alert alert-error">
			<?php
				foreach($img_file_errors as $error) { ?>
				<?php print $error; ?>
			<?php } ?>
		</div>
	<?php
	}
	$data = array(
				  'type'        => 'file',
				  'name'        => 'img',
				  'value'       => set_value('img'),
				  'id'          => 'img',
				  'class'       => 'form-control span6',
				);
	echo form_input($data); ?>
	<span class="instructions">(jpg, jpeg, png) - 280 * 150 Maximum</span>
	<span class="instructions" style="margin-bottom: 10px;">Max size: 512KB</span>
	</div>

	<div class="form-group" style="margin: 10px 0 20px;">
		<div class="col-lg-offset-2 col-lg-10">
			<div class="checkbox">
				<label>
					<?php
					$added = "id = 'publish' checked='checked'";
					echo form_checkbox('publish', 'accept', set_checkbox('publish', 'accept'),$added);
					echo 'Published';
					?>
				</label>
			</div>
		</div>
	</div>

	<div class="btn-toolbar">
		<button type="submit" class="btn">Add</button>
	</div>

<?php echo form_close(); ?>
<?php $this->load->view('backend/footer_view');?>