<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<title>Printpac CMS</title>
	<meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="description" content="" />
	<meta name="author" content="" />

	<link rel="stylesheet" type="text/css" href="<?php echo base_url();?>backend/lib/bootstrap/css/bootstrap.css" />

	<link rel="stylesheet" type="text/css" href="<?php echo base_url();?>backend/stylesheets/theme.css" />
	<link rel="stylesheet" href="<?php echo base_url();?>lib/font-awesome/css/font-awesome.css" />

	<script src="<?php echo base_url();?>lib/jquery-1.7.2.min.js" type="text/javascript"></script>

	<!-- Demo page code -->

	<style type="text/css">
		#line-chart {
			height:300px;
			width:800px;
			margin: 0px auto;
			margin-top: 1em;
		}
		.brand { font-family: georgia, serif; }
		.brand .first {
			color: #ccc;
			font-style: italic;
		}
		.brand .second {
			color: #fff;
		}
		div.error {
			color: #F00;
			font-size: 12px;
		}
		input.form-control {
			margin-bottom: 0;
		}
	</style>

	<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<link rel="shortcut icon" href="<?php print base_url();?>frontend/images/favicon.ico" type="image/x-icon">
	<link rel="icon" href="<?php print base_url();?>frontend/images/favicon.ico" type="image/x-icon">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
  <!--[if lt IE 7 ]> <body class="ie ie6"> <![endif]-->
  <!--[if IE 7 ]> <body class="ie ie7 "> <![endif]-->
  <!--[if IE 8 ]> <body class="ie ie8 "> <![endif]-->
  <!--[if IE 9 ]> <body class="ie ie9 "> <![endif]-->
  <!--[if (gt IE 9)|!(IE)]><!--> 
<body class=""> 
<!--<![endif]-->
<div class="navbar">
	<div class="navbar-inner">
		<ul class="nav pull-right">
		</ul>
		<a class="brand" href="<?php echo base_url();?>" target="_blank">
			<span class="first">Printpac - </span><span class="second">Content Management System</span>
		</a>
	</div>
</div>
<div class="row-fluid">
	<div class="dialog">
		<div class="block">
			<p class="block-heading">Sign In</p>
			<div class="block-body">
				<?php
				$attributes = array('id' => 'tab');
				echo form_open('admin/login', $attributes);
				?>
					<div class="form-group">
						<label>Username</label>
						<input name="admin_user" type="text" class="form-control span12" value="<?php echo set_value('admin_user');?>" />
						<?php echo  form_error('admin_user', '<div class="error">', '</div>'); ?>
					</div>
					
					<div class="form-group" style="margin-top: 5px;">
						<label>Password</label>
						<input name="admin_pwd" type="password" class="form-control span12" />
						<?php echo  form_error('admin_pwd', '<div class="error">', '</div>'); ?>
					</div>
					
					<div class="btn-toolbar">
						<button type="submit" class="btn btn-primary pull-right">Sign in</button>
					</div>
					<!--<label class="remember-me"><input type="checkbox" /> Remember me</label>-->
					<div class="clearfix"></div>
				</form>
			</div>
		</div>
		<!--<p><a href="reset-password.html">Forgot your password?</a></p>-->
	</div>
</div>
<script src="lib/bootstrap/js/bootstrap.js"></script>
<script type="text/javascript">
	$("[rel=tooltip]").tooltip();
	$(function() {
		$('.demo-cancel-click').click(function(){return false;});
	});
</script>
</body>
</html>